Bug 178691 - sysutils/bacula* missed lzo dependency
Summary: sysutils/bacula* missed lzo dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dan Langille
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-16 18:50 UTC by olevole
Modified: 2013-07-19 13:12 UTC (History)
0 users

See Also:


Attachments
file.diff (499 bytes, patch)
2013-05-16 18:50 UTC, olevole
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olevole 2013-05-16 18:50:00 UTC
Bacula 5.2+ have lzo support:
http://bacula.org/5.2.x-manuals/en/main/main/New_Features_in_5_2_x.html#SECTION00321000000000000000

Fix: Patch attached with submission follows:
Comment 1 Raphael Kubo da Costa freebsd_committer 2013-05-18 20:55:13 UTC
State Changed
From-To: open->feedback
Comment 2 Raphael Kubo da Costa freebsd_committer 2013-05-18 20:57:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dvl

Assign to maintainer.
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-07-19 11:20:04 UTC
State Changed
From-To: feedback->open

Overlooked this one. Dan, do you approve this or it should be added as 
an option?
Comment 4 dfilter service freebsd_committer 2013-07-19 13:08:16 UTC
Author: rm
Date: Fri Jul 19 12:08:01 2013
New Revision: 323281
URL: http://svnweb.freebsd.org/changeset/ports/323281

Log:
  - add dependency on archivers/lzo2 to enable lzo compression
    (just replace compression=GZIP with compression=LZO in Options) [1]
  - replace rmdir with ${RMDIR} added in previous commit (portlint warning)
  - correct bacula UPDATING entry [2]
  
  PR:		178691
  Submitted by:	Oleg Ginzburg <olevole@olevole.ru> [1]
  Reported by:    kwm [2]
  Approved by:	Dan Langille <dan.langille@gmail.com> (maintainer, by mail)

Modified:
  head/UPDATING
  head/sysutils/bacula-server/Makefile

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Fri Jul 19 10:34:40 2013	(r323280)
+++ head/UPDATING	Fri Jul 19 12:08:01 2013	(r323281)
@@ -9,7 +9,7 @@ you update your ports collection, before
   AFFECTS: users of sysutils/bacula-server, sysutils/bacula-client, sysutils/bacula-bat
   AUTHOR: dvl@FreeBSD.org
 
-  The configuration files for bacula have been moved to PREFIX/bacula.
+  The configuration files for bacula have been moved to PREFIX/etc/bacula.
   Moveyour existing configuration files to this directory after
   upgrading.
 

Modified: head/sysutils/bacula-server/Makefile
==============================================================================
--- head/sysutils/bacula-server/Makefile	Fri Jul 19 10:34:40 2013	(r323280)
+++ head/sysutils/bacula-server/Makefile	Fri Jul 19 12:08:01 2013	(r323281)
@@ -3,7 +3,7 @@
 
 PORTNAME=	bacula
 DISTVERSION=	5.2.12
-PORTREVISION?=	1
+PORTREVISION?=	2
 CATEGORIES?=	sysutils
 MASTER_SITES=	SF/bacula/bacula/${PORTVERSION}
 PKGNAMEPREFIX?=	#
@@ -12,6 +12,8 @@ PKGNAMESUFFIX?=	-server
 MAINTAINER=	dan@langille.org
 COMMENT?=	Network backup solution (server)
 
+LIB_DEPENDS+=	lzo2:${PORTSDIR}/archivers/lzo2
+
 UNIQUENAME?=	${PORTNAME}${PKGNAMESUFFIX}
 
 USERS=		bacula
@@ -241,7 +243,7 @@ post-install:
 		${ECHO_CMD} "etc/bacula/bacula-barcodes.samples" >> ${TMPPLIST}; \
 	fi
 #	Add configuration files directory to packing list
-	${ECHO_CMD} "@unexec rmdir %D/etc/bacula 2>/dev/null || true" >> ${TMPPLIST}
+	${ECHO_CMD} "@unexec ${RMDIR} %D/etc/bacula 2>/dev/null || true" >> ${TMPPLIST}
 # 	chmod of bsmtp program so bacula can use it with dropped down permissions
 	${CHMOD} o+x ${PREFIX}/sbin/bsmtp
 	${CHOWN} -R bacula:bacula ${PREFIX}/share/bacula
@@ -267,7 +269,7 @@ post-install:
 	done
 
 #	Add configuration files directory to packing list
-	${ECHO_CMD} "@unexec rmdir %D/etc/bacula 2>/dev/null || true" >> ${TMPPLIST}
+	${ECHO_CMD} "@unexec ${RMDIR} %D/etc/bacula 2>/dev/null || true" >> ${TMPPLIST}
 
 	${CHGRP} wheel ${PREFIX}/etc
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-07-19 13:12:33 UTC
State Changed
From-To: open->closed

Committed, thank you!